JNAUSocketFactory.CLibrary
Date: 2016-06-23

com.jcraft.jsch.agentproxy.usocket

## Interface JNAUSocketFactory.CLibrary

- All Superinterfaces:
    com.sun.jna.Library
  Enclosing class:
    JNAUSocketFactory

      public static interface JNAUSocketFactory.CLibrary
      extends com.sun.jna.Library

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.sun.jna.Library

      `com.sun.jna.Library.Handler`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static JNAUSocketFactory.CLibrary` | `INSTANCE`

    - ### Fields inherited from interface com.sun.jna.Library

      `OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_CLASSLOADER, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_OPEN_FLAGS, OPTION_STRING_ENCODING, OPTION_STRUCTURE_ALIGNMENT, OPTION_TYPE_MAPPER`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `close(int fd)`
    `int` | `connect(int sockfd, com.sun.jna.Pointer addr, int addrlen)`
    `int` | `fcntl(int fd, int cmd, java.lang.Object... args)`
    `int` | `read(int fd, byte[] buf, int count)`
    `int` | `socket(int domain, int type, int protocol)`
    `int` | `write(int fd, byte[] buf, int count)`

- - ### Field Detail

    - #### INSTANCE

          static final JNAUSocketFactory.CLibrary INSTANCE

  - ### Method Detail

    - #### socket

          int socket(int domain,
                   int type,
                   int protocol)

    - #### fcntl

          int fcntl(int fd,
                  int cmd,
                  java.lang.Object... args)

    - #### connect

          int connect(int sockfd,
                    com.sun.jna.Pointer addr,
                    int addrlen)

    - #### close

          int close(int fd)

    - #### read

          int read(int fd,
                 byte[] buf,
                 int count)

    - #### write

          int write(int fd,
                  byte[] buf,
                  int count)